//=============================================================================
// Ashtray.
//=============================================================================
class Ashtray extends DeusExDecoration;

enum ESkinColor
{
	SC_Marble,
	SC_Fency,
	SC_Plain
};

var() ESkinColor SkinColor;

function BeginPlay()
{
	Super.BeginPlay();

	switch (SkinColor)
	{
		case SC_Marble:	Skin = Texture'AshtrayTex1'; break;
		case SC_Fency:	Skin = Texture'AshtrayTex2'; break;
		case SC_Plain:	Skin = Texture'AshtrayTex3'; break;
	}
}

defaultproperties
{
     HitPoints=10
     ItemName="Public Ashtray"
     Mesh=LodMesh'Endemia.Ashtray'
     CollisionRadius=5.500000
     CollisionHeight=20.000000
     Mass=10.000000
     Buoyancy=20.000000
}
